package top.ninwoo.api;

import lombok.Data;
import java.io.Serializable;

/**
 * 传输图片数据
 */
@Data
public class Picture implements Serializable {

    // 图片名
    private String PicId;

    //切片的id，唯一且有顺序要求
    private String sliceId = "0";

    //切片数目
    private int sliceNum = 1;

    //图片数据
    private byte[] data;
}
