package top.ninwoo.edge.service;


import top.ninwoo.api.CnfData;
import top.ninwoo.api.Picture;
import top.ninwoo.api.TacticsCtl;

import java.io.IOException;
import java.util.LinkedList;

public interface DistributeService {

    /**
     * 打包信令
     */
    TacticsCtl packageTactics(CnfData cnfData);
    /**
     * 发出请求，能否做任务
     * @return
     */
    String askIsProcss(TacticsCtl tacticsCtl, String url);

    /**
     * 返回请求
     * 若可以：y
     * 若不行：n
     */
    String backAsk(TacticsCtl tacticsCtl);

    /**
     * 开始传输
     */
    String startTranser(LinkedList<String> sateArr) throws IOException;

    /**
     * 判断是否小于size大小
     */
    boolean isHandle(CnfData cnfData);

    /**
     * 包装要做的数据包
     */
    String packageHasCut(CnfData cnfData, Picture picture);
}
