package top.ninwoo.edge.service.impl.fileService;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.*;
import java.util.LinkedList;

public class GetFile {
    //得到所有的图片名
    public static LinkedList<String> getFileName() {
        String path = "/pic/"; // 路径
        File f = new File(path);
        //判断文件是否存在
        if (!f.exists()) {
            System.out.println(path + " not exists");
            return null;
        }

        File[] fa = f.listFiles();
        LinkedList<String> fname = new LinkedList<>();
        for (File fs : fa) {
            if (fs.getName().startsWith("out")) {
                fname.add(fs.getName());
            }
        }
        return fname;
    }
    //得到图片的byte[]格式
    //路径需要修改
    public static LinkedList<byte[]> getByte(LinkedList<String> names) throws IOException {
        LinkedList<byte[]> bytes = new LinkedList<>();
        for(String name : names){
            //输出的数组
            ByteArrayOutputStream out = new ByteArrayOutputStream();
            //路径
            String path = "/pic/"+ name;

            System.out.println(path);
            //输入
            InputStream inputStream = new FileInputStream(path);
            BufferedImage bufferedImage = ImageIO.read(inputStream);
            ImageIO.write(bufferedImage, "jpg", out);
            //放到数组中
            bytes.add(out.toByteArray());
        }
        return bytes;
    }

    /**
     * 删除所有图片
     * @return
     */
    public static String delImg(LinkedList<String> fnames){
        for (String fname : fnames) {
            File file = new File("/pic/"+fname);
            if(file.exists()) {
                file.delete();
            }
        }
        return null;
    }
}
