package top.ninwoo.edge.service.impl.picService;

import top.ninwoo.api.Picture;
import top.ninwoo.edge.service.PicService;

import java.io.IOException;
import java.util.LinkedList;

import static top.ninwoo.edge.service.impl.fileService.SaveFile.loadPicture;
import static top.ninwoo.edge.service.impl.fileService.SaveFile.saveToFile;

public class GreyServiceImpl implements PicService {
    public static LinkedList<Picture> picPara = new LinkedList<>();
    @Override
    public LinkedList<Picture> picProcess(int num, LinkedList<Picture> pictures) {
        for (Picture picture : pictures) {
            saveToFile(picture, in_file);

            try {
                String command = "python grey-pro.py " + in_file + " " + out_file;
                Process process = Runtime.getRuntime().exec(command);
                process.waitFor();
            } catch (IOException | InterruptedException e) {
                e.printStackTrace();
            }
            Picture newPicture = loadPicture(out_file);
            newPicture.setPicId(picture.getPicId());
            newPicture.setSliceId(picture.getSliceId());
            newPicture.setSliceNum(picture.getSliceNum());
            picPara.add(newPicture);
        }
        return picPara;
    }
}
