package top.ninwoo;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import top.ninwoo.weixingsim.WxMain;
import top.ninwoo.weixingsim.entity.SimData;
import top.ninwoo.weixingsim.entity.WeiXingData;
import top.ninwoo.weixingsim.service.impl.ToponetImpl;
import top.ninwoo.weixingsim.service.impl.WeixingImpl;

import java.io.File;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = WxMain.class)
public class ParseTests {

    @Test
    public void test1() throws IllegalAccessException {
        //从文本中获取卫星的数据
        WeixingImpl wx = new WeixingImpl();
        ToponetImpl tp = new ToponetImpl();
        SimData sd = new SimData();
        //tp.delHistory();
        File file = new File("C:\\WorkSpace\\TXT\\topusim_1.txt");
        List<WeiXingData> wxData = wx.iniTopo(file,sd.getZhouqi());
        /*int[][] topoInit = tp.getTopology(wxData,sd);
        //输出topo
        for(int j = 0;j<topoInit.length;j++){
            for(int k= 0;k<topoInit[0].length;k++){
                System.out.print(topoInit[j][k] + " ");
            }
            System.out.println(" ");
        }  */

        sd.setJiange(60);
        sd.setC0(3e10);

        out:for (int i = 0; i<sd.getZhouqi()/sd.getJiange(); i++) {
            //Thread.sleep(2000);
            int time = i * sd.getJiange();
            List<WeiXingData> changetp = wx.changeTopo(wxData,time);

            int[][] topoChange = tp.getTopology(changetp,sd);

            //输出topo
            for(int m = 0;m<topoChange.length;m++){
                for(int n= 0;n<topoChange[0].length;n++){
                    System.out.print(topoChange[m][n] + " ");
                }
                System.out.println(" ");
            }
        }

        System.out.println("所有topo完成");
    }
}
