package top.ninwoo.bishe.starter.service;

import top.ninwoo.common.entity.NetworkTopology;
import top.ninwoo.common.entity.SeparatedClusterConfig;

import java.util.List;

/**
 * 操作集群的api接口
 */
public interface ClusterService {
    List<SeparatedClusterConfig> sendClusterConfigToEdgeNode(List<SeparatedClusterConfig> configs);

    String removeClusterFromEdgeNode(Long clusterId);

    List<String> getAllEdgeNodeIds();

    boolean adjustClusterToEdgeNode(List<SeparatedClusterConfig> configs);

    boolean sendLogicTopoToEdgeNode(List<SeparatedClusterConfig> configs);

    boolean adjustLogicTopoToEdgeNode(List<SeparatedClusterConfig> configs);
}
