package top.ninwoo.test.doMap;

import top.ninwoo.test.sateTopo.entity.SimData;
import top.ninwoo.test.sateTopo.entity.WeiXingData;
import top.ninwoo.test.sateTopo.service.impl.ToponetImpl;
import top.ninwoo.test.sateTopo.service.impl.WeixingImpl;

import java.io.File;
import java.util.*;

public class CycleTopo {
    public static void main(String[] args) { cycleTp(); }

    public static HashMap<Integer, double[][]> cycleTp(){
        //从文本中获取卫星的数据
        WeixingImpl wx = new WeixingImpl();
        ToponetImpl tp = new ToponetImpl();
        SimData sd = new SimData();
        //tp.delHistory();
        File file = new File("topusim_1.txt");
        //D:\LabratoryJavaPro\codingDownload\latestCoding\
        List<WeiXingData> wxData = null;
        try {
            wxData = wx.iniTopo(file,sd.getZhouqi());
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        }


        sd.setJiange(20);
        sd.setC0(3e10);

        //存储全周期拓扑
        HashMap<Integer, double[][]> TopoStore = new HashMap<>();

        out:for (int i = 0; i<sd.getZhouqi()/sd.getJiange(); i++) {
            //Thread.sleep(2000);
            int time = i * sd.getJiange();
            List<WeiXingData> changetp = wx.changeTopo(wxData,time);

            double[][] topoChange = tp.getWeightedTopology(changetp,sd);

            /*//输出topo
            for(int m = 0;m<topoChange.length;m++){
                for(int n= 0;n<topoChange[0].length;n++){
                    System.out.print(topoChange[m][n] + " ");
                }
                System.out.println(" ");
            }*/

            //去掉ovs
            double[][] topoNet = new double[30][30];
            for (int p = 0;p<topoNet.length;p++){
                for (int j = 0;j<topoNet.length;j++){
                    topoNet[p][j] = topoChange[p][j];
                }
            }
            //补全对称矩阵
            for (int k = 0;k<topoNet.length;k++){
                for (int j = k+1;j<topoNet.length;j++){
                    topoNet[k][j] = topoNet[j][k];
                }
            }

            TopoStore.put(i,topoNet);
        }

         /* 对比全周期拓扑
         * count记录重复拓扑行数
         * count2记录不同拓扑数目
         */
        int count = 0;
        int count2 = 0;
        Iterator<Map.Entry<Integer, double[][]>> iterator = TopoStore.entrySet().iterator();
        while (iterator.hasNext()){
            double[][] value = iterator.next().getValue();
            System.out.println(Arrays.deepToString(value));
            System.out.println("=========================================");
            System.out.println(count2);
            while (iterator.hasNext()){
                double[][] valueNext = iterator.next().getValue();
                for (int i = 0;i<value.length;i++){
                    boolean equals = Arrays.equals(value[i], valueNext[i]);
                    count += (equals?1:0);
                }

                if (count != 30){
                    System.out.println(Arrays.deepToString(valueNext));
                    System.out.println("=========================================");
                    System.out.println(count2);
                    count2++;
                }
                count=0;
                value=valueNext;
            }
        }

        //System.out.println("所有topo完成");
        return TopoStore;
    }

}