package top.ninwoo.cloud.service;

import top.ninwoo.api.CnfData;
import top.ninwoo.api.Picture;

import java.awt.image.BufferedImage;
import java.text.ParseException;
import java.util.LinkedList;

public interface TransService {
    /**
     * 打包picture
     * @return picture列表
     */
    Picture packagePic(BufferedImage bufferedImage);
    /**
     *打包成数据包
     */
    LinkedList<CnfData> packageData(Picture picture,int[][] link,int[] func) throws ParseException;

    LinkedList<CnfData> packageData(Picture picture, String satename) throws ParseException;
    /**
     * 发送数据包
     */
    String sendData(CnfData cnfData, String url);
    /**
     * 发送得到cpu计算能力的指令
     */
    Double sendCpuCtr(String url);
    /**
     * 得到稳态图
     */
    String[][] getIt() throws ParseException;
    /**
     * 卫星复位
     */
    String reset(String url);
}