package top.ninwoo.edge.service;


import top.ninwoo.api.CnfData;
import top.ninwoo.api.TacticsCtl;

import java.io.IOException;

//分散计算的策略
public interface Tactics {
    /**
     * 打包成信令
     */
    TacticsCtl packageTactics(CnfData cnfData);
    /**
     * 请求信令
     */
    TacticsCtl askTactics(TacticsCtl tacticsCtl);
    /**
     * repackage
     */
    TacticsCtl repackage(TacticsCtl tacticsCtl);
    /**
     * 处理信令
     */
    String handle() throws IOException;

    String setTactics(TacticsCtl tacticsCtl);
}