package top.ninwoo.edge.service;


import top.ninwoo.api.CnfData;
import top.ninwoo.api.Picture;
import top.ninwoo.api.TacticsCtl;

import java.util.LinkedList;

public interface TransferService {
    /**
     * 发送数据
     */
    String sendData(CnfData cnfData, String url);

    /**
     * 发送指令
     */
    String sendCtl(TacticsCtl tacticsCtl, String url);

    String backCtl(TacticsCtl tacticsCtl, String url);
    /**
     * 拆包
     * @return 要完成的功能名称，如果仅作为转发节点，则返回 pass
     */
    String parseData(CnfData cnfData);

    /**
     * 装包
     */
    LinkedList<CnfData> packageData(CnfData cnfData);
    /**
     * 装包
     */
    LinkedList<CnfData> packageData(CnfData cnfData, LinkedList<Picture> pictures);

    void backEarth(String message);
}
