package top.ninwoo.edge.service.impl.picService;

import top.ninwoo.api.Picture;
import top.ninwoo.edge.service.PicService;

import java.io.IOException;
import java.util.LinkedList;

import static top.ninwoo.edge.service.impl.fileService.SaveFile.loadPicture;
import static top.ninwoo.edge.service.impl.fileService.SaveFile.saveToFile;

public class CutServiceImpl implements PicService {
    public static LinkedList<Picture> picPara = new LinkedList<>();
    @Override
    public LinkedList<Picture> picProcess(int num, LinkedList<Picture> pictures) {
        for (Picture picture:pictures) {
            saveToFile(picture, in_file);

            try {
                String command = "python cut-pro.py " + in_file + " " + out_file1 + " " + out_file2 + " " + 0.5;
                Process process = Runtime.getRuntime().exec(command);
                process.waitFor();
            } catch (IOException | InterruptedException e) {
                e.printStackTrace();
            }
            Picture picture1 = loadPicture(out_file1);
            Picture picture2 = loadPicture(out_file2);

            picture1.setSliceNum(2);
            picture1.setPicId(picture.getPicId());
            picture1.setSliceId(1+"");

            picture2.setSliceNum(2);
            picture2.setPicId(picture.getPicId());
            picture2.setSliceId(2+"");

            picPara.add(picture1);
            picPara.add(picture2);
        }
        return picPara;
    }
}
