package top.ninwoo.edge.service.impl.picService;

import top.ninwoo.api.Picture;
import top.ninwoo.edge.service.PicService;

import java.io.IOException;
import java.util.LinkedList;

import static top.ninwoo.edge.service.impl.fileService.SaveFile.loadPicture;
import static top.ninwoo.edge.service.impl.fileService.SaveFile.saveToFile;

public class MergeServiceImpl implements PicService {
    public static LinkedList<Picture> picPara = new LinkedList<>();
    @Override
    public LinkedList<Picture> picProcess(int num, LinkedList<Picture> pictures) {
        System.out.println("run Before saveToFile");
        saveToFile(pictures.get(0),in_file1);
        saveToFile(pictures.get(1),in_file2);
        System.out.println("run after saveToFile");
        try {
            String command = "python merge-pro.py " + in_file1 + " " + in_file2 + " " + out_file;
            Process process = Runtime.getRuntime().exec(command);
            process.waitFor();
        } catch (IOException | InterruptedException e) {
            e.printStackTrace();
        }
        Picture newPicture = loadPicture(out_file);
        newPicture.setPicId(pictures.get(0).getPicId());
        newPicture.setSliceId(1+"");
        newPicture.setSliceNum(1);
        picPara.add(newPicture);
        return picPara;
    }
}
