package top.ninwoo.edgecenter.service;


import top.ninwoo.common.entity.NetworkTopology;

import java.text.ParseException;
import java.util.Date;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;

//逻辑网络
public interface LogicTopoService {
    //通过逻辑拓扑创造逻辑网络
    String creatLogicTopo (long clusterId, NetworkTopology logictopo, Date date) throws ParseException;
    //调整逻辑网络
    String modifyLogicTopology(long clusterId, NetworkTopology logictopo);
    //得到逻辑拓扑
    NetworkTopology getLogictopo(NetworkTopology oritopo);
    //返回topo到docker容器端
    int[][] getTopo(long clusterId);
    //返回IPlist到docker容器端
    List<String> getIPlist(long clusterId);
    //返回所有topo
    ConcurrentHashMap<Long, int[][]> getTopoAll();


}
